Summary:	xkbui library
Summary(pl.UTF-8):	Biblioteka xkbui
Name:		xorg-lib-libxkbui
Version:	1.0.2
Release:	8
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libxkbui-%{version}.tar.bz2
# Source0-md5:	1143e456f7429e18e88f2eadb2f2b6b1
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libxkbfile-devel >= 1.0.7-2
BuildRequires:	xorg-util-util-macros
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xkbui library.

%description -l pl.UTF-8
Biblioteka xkbui.

%package devel
Summary:	Header files for libxkbui library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxkbui
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXt-devel
Requires:	xorg-lib-libxkbfile-devel

%description devel
xkbui library.

This package contains the header files needed to develop programs that
use libxkbui.

%description devel -l pl.UTF-8
Biblioteka xkbui.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libxkbui.

%package static
Summary:	Static libxkbui library
Summary(pl.UTF-8):	Biblioteka statyczna libxkbui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
xkbui library.

This package contains the static libxkbui library.

%description static -l pl.UTF-8
Biblioteka xkbui.

Pakiet zawiera statyczną bibliotekę libxkbui.

%prep
%setup -q -n libxkbui-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxkbui.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libxkbui.so.*.*.*
%ghost %{_libdir}/libxkbui.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbui.so
%{_includedir}/X11/extensions/*.h
%{_pkgconfigdir}/xkbui.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxkbui.a
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libxkbui.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> d03b3aa
- x32 rebuild
- release 8 (by relup.sh)

* Fri Mar 02 2012 Elan Ruusamäe <glen@pld-linux.org> aff9ed9
- ghost soname symlink

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> 3e9e8da
- removed unused *.la files, rel++

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> a2fcdd1
- dropped pre-cvs changelog

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7638778
- release 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b40a79
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3400e42
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e690420
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> ac77a4e
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d55a667
- rebuild

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 593ba52
- up to 1.0.2

* Thu Mar 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 30c218b
- release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> a578ff8
- 1.0.1 (X11R7.0 release)

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> e2ec3ab
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 739e161
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 6a92f6a
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 08d94d3
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> efc2dad
- 0.99.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 4b6a080
- kill /usr/X11R6

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> ced0984
- cleanups, ported back to Linux

